org.mariadb.jdbc.internal

## Class SQLExceptionMapper

- java.lang.Object
- - org.mariadb.jdbc.internal.SQLExceptionMapper

    public class SQLExceptionMapper
    extends Object

### Nested Class Summary

Nested Classes
`static class` `SQLExceptionMapper.SQLStates`

### Constructor Summary

Constructors
Constructor and Description
`SQLExceptionMapper()`

### Method Summary

Methods
`static SQLException` `getFeatureNotSupportedException(String message)`
`static SQLException` `getSQLException(String message)`
`static SQLException` `getSQLException(String message, Exception e)`
`static SQLException` `getSQLException(String message, String sqlState, Exception e)`
`static String` `mapMySQLCodeToSQLState(int code)`
`static void` `throwException(QueryException e, MySQLConnection connection, Statement statement)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQLExceptionMapper

    public SQLExceptionMapper()

### Method Detail

#### throwException

    public static void throwException(QueryException e,
                      MySQLConnection connection,
                      Statement statement)
                               throws SQLException

Throws:
  `SQLException`

#### getSQLException

    public static SQLException getSQLException(String message,
                               Exception e)

#### getSQLException

    public static SQLException getSQLException(String message,
                               String sqlState,
                               Exception e)

#### getSQLException

    public static SQLException getSQLException(String message)

#### getFeatureNotSupportedException

    public static SQLException getFeatureNotSupportedException(String message)

#### mapMySQLCodeToSQLState

    public static String mapMySQLCodeToSQLState(int code)